Installation

This should be installed via composer, for now. You can either install it globally, or in your own project. If it is the first time you globally install a dependency then make sure you include ~/.composer/vendor/bin in $PATH as shown here.

Global Setup

$ composer global require bldr-io/bldr=~7.0.0 dflydev/embedded-composer=[email protected] composer/composer=[email protected]

# Or

$ curl -sS http://bldr.io/installer | php
$ mv bldr.phar /usr/bin/bldr

# You can also install specific versions (Anything greater or equal to 5.0.0)
# Example: 5.0.0, 5.0.1, stable (latest tag in github), dev (last commit in master)
$ curl -sS http://bldr.io/installer | php -- --version=dev # Stable by default

Project Setup

It is suggested that you use the phar, as you can get conflicts with dependencies by including it in your project or globally!

$ curl -sS http://bldr.io/installer | php

# Or

$ composer require bldr-io/bldr "~7.0.0"

And that’s it! From here, you should be able to run bldr if you set it up globally, or ./bin/bldr or php ./vendor/bin/bldr if you set it up in your project.